<form [formGroup]="addNewLecturer" class="example-form" (ngSubmit)="postLecturer()">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Imie Wykladowcy</mat-label>
    <input matInput placeholder="" value="" formControlName="name">
  </mat-form-field>
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Nazwisko Wykladowcy</mat-label>
    <input matInput placeholder="" value="" formControlName="surname">
  </mat-form-field>
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Tytul Wykladowcy</mat-label>
    <input matInput placeholder="" value="" formControlName="title">
  </mat-form-field>
  <h4>Przedmioty, których może uczyć:</h4>
  <p><mat-checkbox formControlName="canTeach">ASK 1</mat-checkbox></p>
  <p *ngFor="let lec of lectures">
    <mat-checkbox formControlName="canTeach">{{lec.name}}</mat-checkbox>
  </p>
  <button type="submit" class="btn">
    <span *ngIf="operationType === 'edit'; else elseBlock">Edytuj</span>
    <ng-template #elseBlock>Dodaj</ng-template>
  </button>
</form>
